Patient - MFA
POST
/auth/tenant/Patient/login/mfadev
https://api.sandbox.ovok.comLogin with MFA token. Success response contains a challenge token that can be used to finish login via login/token endpoint.
Request body
Content-Type: application/json
mfaToken:string(required)loginId:string(required)
Responses
| Code | Description |
|---|---|
200 | Success. |
400 | The request could not be operated by the server. |
401 | The resource owner or authorization server denied the request. |
404 | The requested resource could not be found. |
422 | The request could not be validated by the server. |
500 | The server encountered an unexpected condition. Please try again later. |
200 → StartPatientMFAResponseDto (application/json)
nextStep:string(required)sessionCode:string(required)
Example
{
"nextStep": "token",
"sessionCode": "xU5keKxDB7gFWcguI5dAwMvti173sNBt"
}